/*
 * radutmped.h - header file for radutmped
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *
 *   Copyright (C) 2005, 2006, 2007 Predrag Malicevic <pmalic(at)develabs[dot]com>
 *
 */

#define RADUTMPED_VERSION		"0.2"

#define RT_FREERADIUS		1
#define RT_CISTRON			2
#define RT_GNURADIUS		3

#ifndef RADUTMP_TYPE
	#define RADUTMP_TYPE RT_FREERADIUS
#endif

#if RADUTMP_TYPE == RT_FREERADIUS
	#include "radutmp_freeradius.h"
  #define LOGIN_LEN 32
  #define SESSION_ID_LEN 8
#elif RADUTMP_TYPE == RT_CISTRON
	#include "radutmp_cistron.h"
  #define LOGIN_LEN 32
  #define SESSION_ID_LEN 8
#elif RADUTMP_TYPE == RT_GNURADIUS
	#include "types_gnuradius.h"
	#include "radutmp_gnuradius.h"
  #define LOGIN_LEN 32
  #define SESSION_ID_LEN 16
#else
  #warning "Unknown RADUTMP_TYPE, defaulting to RT_FREERADIUS"
	#include "radutmp_freeradius.h"
  #define LOGIN_LEN 32
  #define SESSION_ID_LEN 8
#endif

#define RADUTMP_FILENAME		"radutmp"
#define SEARCH_UNKNOWN			0
#define	SEARCH_LOGIN				1
#define SEARCH_NAS_PORT			2
#define SEARCH_SESSION_ID		3

